Print warning for old make versions sync
authorDamiano Boppart <damiano.boppart@pep.security>
Thu, 02 May 2019 17:15:40 +0200
branchsync
changeset 3608dbcb24324e86
parent 3607 77fd2bb65aa9
child 3611 95a05d4cf872
Print warning for old make versions
Makefile
     1.1 --- a/Makefile	Thu May 02 16:36:20 2019 +0200
     1.2 +++ b/Makefile	Thu May 02 17:15:40 2019 +0200
     1.3 @@ -19,6 +19,13 @@
     1.4      $(info ================================================)
     1.5  endif
     1.6  
     1.7 +ifneq ($(MAKE_VERSION),$(word 2,$(sort $(MAKE_VERSION) 4)))
     1.8 +    $(warning ================================================)
     1.9 +    $(warning You are using a make version older than 4. This might cause problems.)
    1.10 +    $(warning ================================================)
    1.11 +endif
    1.12 +
    1.13 +
    1.14  .PHONY: all sync asn1 build install dbinstall uninstall clean tags test package db
    1.15  
    1.16  build: asn1